const sequelize = require("../dbConnect")
const {
    DataTypes
} = require("sequelize")

module.exports = sequelize.define("express", {
    expressId: {
        type: DataTypes.STRING,
        allowNull: false
    },
    senderName: {
        type: DataTypes.STRING,
        allowNull: false
    },
    senderCity: {
        type: DataTypes.STRING,
        allowNull: false
    },
    receiverName: {
        type: DataTypes.STRING,
        allowNull: false
    },
    receiverCity: {
        type: DataTypes.STRING,
        allowNull: false
    },
    isSigned: {
        type: DataTypes.INTEGER,
        allowNull: false
    },
    signedTime: DataTypes.STRING

}, {
    freezeTableName: true,
    createdAt: false,
    updatedAt: false,
})