const {
    getExpressDao,
    addExpressDao,
    updateExpressDao,
    deleteExpressDao
} = require("../dao/expressDao")
const {
    getRandomExpressId
} = require("../utils/tools")
module.exports.getExpressServices = async function () {
    return await getExpressDao()
}

module.exports.addExpressServices = async function (expData) {
    //获取的对象需要补充"expressId", "isSigned"
    const data = {
        expressId: getRandomExpressId(),
        isSigned: 0,
        ...expData,
    }
    return await addExpressDao(data)
}

module.exports.updateExpressServices = async function (expData) {
    //这里需要提供id
    return await updateExpressDao(expData)
}

module.exports.deleteExpressServices = async function ({
    id
}) {
    return await deleteExpressDao(
        id
    )
}