const sequelize = require("../dbConnect")
const {
    DataTypes
} = require("sequelize")

module.exports = sequelize.define("user", {
    loginId: {
        type: DataTypes.STRING,
        allowNull: false
    },
    loginPwd: {
        type: DataTypes.STRING,
        allowNull: false
    },
    sex: DataTypes.STRING,
    brithday: DataTypes.STRING,
    region: DataTypes.STRING,
    number: DataTypes.STRING,
    isAdmin: {
        type: DataTypes.BOOLEAN,
        defaultValue: false
    }
}, {
    freezeTableName: true,
    createdAt: false,
    updatedAt: false,
})