const userModel = require("./model/userModel")
module.exports.loginDao = async function ({
    loginId,
    loginPwd
}) {
    return await userModel.findOne({
        where: {
            loginId,
            loginPwd
        }
    })
}

module.exports.updateUserDao = async function (loginInfo) {
    return await userModel.update(loginInfo, {
        where: {
            loginId: loginInfo.loginId,
        }
    })
}

module.exports.getUserInfoDao = async function (loginId) {
    return await userModel.findOne({
        where: {
            loginId,
        }
    })
}

module.exports.addUserDao = async function (userInfo) {
    return await userModel.create(userInfo)
}